import request from '../../../utils/request'

// 获取数据源列表
export const getJobDataList = params =>
  request({
    url: `/jpt/jm_homework/?project_id=${params}`,
    method: 'get',
  })

//获取作业类型与分类
export const getJobTypes = params =>
  request({
    url: `/jpt/constants/?type=${params}`,
    method: 'get',
  })

//创建作业
export const createJob = params =>
  request({
    url: `/jpt/jm_homework/`,
    method: 'post',
    data: { ...params },
  })

//删除作业
export const deleteJob = params =>
  request({
    url: `/jpt/jm_homework/?jm_id=${params}`,
    method: 'delete',
  })

//获取DAG算子
export const getDagFile = params =>
  request({
    url: `/jpt/dag/?project_id=${params.project_id}&user_id=${params.user_id}`,
    method: 'get',
  })

//获取DAG详细信息
export const getDagInfomation = params =>
  request({
    url: `/jpt/dag/info?uri=${params}`,
    method: 'get',
  })

//获取datasource
export const getDataSourceInfo = params =>
  request({
    url: `/jpt/datasource/?page=${params.page}&size=${params.size}`,
    method: 'get',
  })

//获取表名称
export const getTableNameInfo = params =>
  request({
    url: `/jpt/datasource/table_names?ds_id=${params}`,
    method: 'post',
  })

//获取表结构
export const getTableSchemaInfo = params =>
  request({
    url: `/jpt/datasource/table_schema?ds_id=${params.id}&table_name=${params.table_name}`,
    method: 'post',
  })

//获取指定作业信息
export const getJobInfo = params =>
  request({
    url: `/jpt/jm_homework/info?homework_id=${params}`,
    methods: 'get',
  })

export const deleteTag = params =>
  request({
    url: `/jpt/constants/?type=${params.type}&value=${params.val}`,
    method: 'delete',
  })

export const updateJobInfo = (id, params) =>
  request({
    url: `/jpt/jm_homework/?jm_id=${id}`,
    method: 'put',
    data: { ...params },
  })
